Loading...
Searching...
No Matches
gtsam::traits< BearingRange< A1, A2 > > Struct Template Reference
Inheritance diagram for gtsam::traits< BearingRange< A1, A2 > >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::Testable< BearingRange< A1, A2 > >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< BearingRange< A1, A2 > >))
Public Member Functions inherited from gtsam::internal::ManifoldTraits< BearingRange< A1, A2 > >
| BOOST_CONCEPT_ASSERT ((HasManifoldPrereqs< BearingRange< A1, A2 > >))
Static Public Member Functions inherited from gtsam::Testable< BearingRange< A1, A2 > >
static void | Print (const BearingRange< A1, A2 > &m, const std::string &str="")
static bool | Equals (const BearingRange< A1, A2 > &m1, const BearingRange< A1, A2 > &m2, double tol=1e-8)
Static Public Member Functions inherited from gtsam::internal::ManifoldTraits< BearingRange< A1, A2 > >
static TangentVector | Local (const BearingRange< A1, A2 > &origin, const BearingRange< A1, A2 > &other)
static BearingRange< A1, A2 > | Retract (const BearingRange< A1, A2 > &origin, const TangentVector &v)
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< BearingRange< A1, A2 >, BearingRange< A1, A2 >::dimension >
static int | GetDimension (const BearingRange< A1, A2 > &)
Public Types inherited from gtsam::internal::ManifoldTraits< BearingRange< A1, A2 > >
enum |
typedef BearingRange< A1, A2 > | ManifoldType
typedef manifold_tag | structure_category
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/geometry/BearingRange.h